
TMP_FLOPPY_DIR = $(TMP_DIR)/floppy

floppydir:
	-mv $(BASE_DIR)/floppy.old $(BASE_DIR)/floppy.old2
	-mv $(BASE_DIR)/floppy $(BASE_DIR)/floppy.old
	-rm -rf $(BASE_DIR)/floppy.old2
	mkdir $(BASE_DIR)/floppy
	
	mkdir $(BASE_DIR)/floppy/packages
	mkdir $(BASE_DIR)/floppy/modules
	
	# I haven't had anything there for ages.
	# cp -a $(LICENSES_DIR) $(BASE_DIR)/floppy/.
	
	cp $(INITRD_DIR)/initrd.gz $(BASE_DIR)/floppy/initrd.gz
	cp $(ADD_DIR)/add.bz2 $(BASE_DIR)/floppy/.
	
	cp $(SCRIPTS_DIR)/config $(BASE_DIR)/floppy/.
	cp $(SCRIPTS_DIR)/ethers $(BASE_DIR)/floppy/.
	cp $(SCRIPTS_DIR)/hosts $(BASE_DIR)/floppy/.
	cp $(SCRIPTS_DIR)/firewall.ini $(BASE_DIR)/floppy/.
	cp $(SCRIPTS_DIR)/network.ini $(BASE_DIR)/floppy/.
	cat $(SCRIPTS_DIR)/floppyfw.msg \
		| sed -e 's/FLOPPYFW_VERSION/$(FLOPPYFW_VERSION)/' \
		> $(BASE_DIR)/floppy/floppyfw.msg
	cp $(SCRIPTS_DIR)/syslinux.cfg $(BASE_DIR)/floppy/.
	cp $(SCRIPTS_DIR)/modules.lst $(BASE_DIR)/floppy/.
	
	cp $(MODULES_BASE_DIR)/basemods.bz2 $(BASE_DIR)/floppy/modules/.
	cp $(MODULES_BASE_DIR)/nics.bz2 $(BASE_DIR)/floppy/modules/.
	cp $(MODULES_BASE_DIR)/tcmods.bz2 $(BASE_DIR)/floppy/modules/.

	cp $(LINUX_KERNEL).upx $(BASE_DIR)/floppy/vmlinuz

floppy: initrd-base add-package floppydir

$(BASE_DIR)/floppy: initrd-base add-package floppydir
# $(BASE_DIR)/floppy

# This will bomb if there are no floppy/ directory but the option would be
# that it wuold basically create a new floppy/ each time which would mean
# I would not be able to edit config and make a new image for testing. 
floppyimage:
	-[ -d $(TMP_FLOPPY_DIR) ] && rm -rf $(TMP_FLOPPY_DIR)
	dd if=/dev/zero of=$(BASE_DIR)/floppyfw.img bs=1024 count=1440
	mkdosfs $(BASE_DIR)/floppyfw.img
	syslinux $(BASE_DIR)/floppyfw.img 
	mkdir -p $(TMP_FLOPPY_DIR)
	mount -o loop -t vfat $(BASE_DIR)/floppyfw.img $(TMP_FLOPPY_DIR)
	cp -r $(BASE_DIR)/floppy/* $(TMP_FLOPPY_DIR)/.
	umount $(TMP_FLOPPY_DIR)

floppyimage-pppoe: $(MODULES_BASE_DIR)/pppmods.bz2 \
		$(PACKAGES_DIR)/ppp.bz2
	-[ -d $(TMP_FLOPPY_DIR) ] && rm -rf $(TMP_FLOPPY_DIR)
	dd if=/dev/zero of=$(BASE_DIR)/floppyfw.img bs=1024 count=1440
	mkdosfs $(BASE_DIR)/floppyfw.img
	syslinux $(BASE_DIR)/floppyfw.img 
	mkdir -p $(TMP_FLOPPY_DIR)
	mount -o loop -t vfat $(BASE_DIR)/floppyfw.img $(TMP_FLOPPY_DIR)
	cp -r $(BASE_DIR)/floppy/* $(TMP_FLOPPY_DIR)/.
	cp -r $(PACKAGES_DIR)/ppp.bz2 $(TMP_FLOPPY_DIR)/packages/.
	cp -r $(MODULES_BASE_DIR)/pppmods.bz2 $(TMP_FLOPPY_DIR)/modules/.
	$(SED) "s/^# CONNECT_TYPE=PPPoE/CONNECT_TYPE=PPPoE/" $(TMP_FLOPPY_DIR)/config
	$(SED) "s/^CONNECT_TYPE=DHCP/# CONNECT_TYPE=DHCP/" $(TMP_FLOPPY_DIR)/config
	umount $(TMP_FLOPPY_DIR)

floppy-clean:
	rm -rf $(BASE_DIR)
