#############################################################
#
# hostap-driver card services
#
#############################################################
# Copyright (C) 2001-2003 by Erik Andersen <andersen@codepoet.org>
# Copyright (C) 2002 by Tim Riker <Tim@Rikers.org>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU Library General Public License as
# published by the Free Software Foundation; either version 2 of the
# License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
# Library General Public License for more details.
#
# You should have received a copy of the GNU Library General Public
# License along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307
# USA
HOSTAP_DRIVER_SITE:=http://hostap.epitest.fi/releases/
HOSTAP_DRIVER_VERSION=0.3.0-pre4
HOSTAP_DRIVER_SOURCE:=hostap-driver-$(HOSTAP_DRIVER_VERSION).tar.gz
HOSTAP_DRIVER_DIR:=$(BUILD_DIR)/hostap-driver-$(HOSTAP_DRIVER_VERSION)
HOSTAP_DRIVER_PATCH:=$(SOURCE_DIR)/hostap-driver.patch
HOSTAP_DRIVER_CAT:=zcat

HOSTAP_DRIVER_PKG_DIR=$(PACKAGES_DIR)/hostap-driver-cs

$(DL_DIR)/$(HOSTAP_DRIVER_SOURCE):
	$(WGET) -P $(DL_DIR) $(HOSTAP_DRIVER_SITE)/$(HOSTAP_DRIVER_SOURCE)

hostap-driver-source: $(DL_DIR)/$(HOSTAP_DRIVER_SOURCE)

$(HOSTAP_DRIVER_DIR)/.unpacked: $(DL_DIR)/$(HOSTAP_DRIVER_SOURCE)
	$(HOSTAP_DRIVER_CAT) $(DL_DIR)/$(HOSTAP_DRIVER_SOURCE) | tar -C $(BUILD_DIR) -xvf -
	touch $(HOSTAP_DRIVER_DIR)/.unpacked

$(HOSTAP_DRIVER_DIR)/.patched: $(HOSTAP_DRIVER_DIR)/.unpacked
	# cat $(HOSTAP_DRIVER_PATCH) | patch -d $(HOSTAP_DRIVER_DIR) -p1
	$(SED) 's|/sbin/depmod -ae|$(BUSYBOX_DIR)/examples/depmod.pl -b $(MODULES_DIR)/lib/modules/$(LINUX_VERSION)/ -k $(LINUX_DIR)/vmlinux -F $(LINUX_DIR)/System.map|' $(HOSTAP_DRIVER_DIR)/Makefile
	touch $(HOSTAP_DRIVER_DIR)/.patched

#  --moddir=$(MODULES_DIR)/lib/modules/$(LINUX_VERSION)/ 

$(HOSTAP_DRIVER_DIR)/.configured: $(HOSTAP_DRIVER_DIR)/.patched
	( cd $(HOSTAP_DRIVER_DIR) ; ./Configure \
		--kernel=$(LINUX_SOURCE_DIR) --noprompt \
		--target=$(PACKAGES_DIR)/hostap-driver-cs \
		--pnp \
		--srctree \
		--moddir=$(HOSTAP_DRIVER_PKG_DIR)/lib/modules/$(LINUX_VERSION)/ \
		--uflags="-Os -pedantic -Wall -Wstrict-prototypes -Wmissing-prototypes" \
	);
	$(SED) "s/pump/udhcpc/" $(HOSTAP_DRIVER_DIR)/etc/network
	touch $(HOSTAP_DRIVER_DIR)/.configured

$(HOSTAP_DRIVER_DIR)/driver/modules/hostap.o: $(HOSTAP_DRIVER_DIR)/.patched
	( cd $(HOSTAP_DRIVER_DIR) ; \
	$(MAKE) DESTDIR=$(MODULES_DIR) \
		KERNEL_PATH=$(LINUX_SOURCE_DIR) \
		CFLAGS="$(TARGET_CFLAGS" \
		-C $(HOSTAP_DRIVER_DIR) ; \
	);

$(HOSTAP_DRIVER_PKG_DIR)/lib/modules: $(HOSTAP_DRIVER_DIR)/driver/modules/hostap.o
	rm -rf $(HOSTAP_DRIVER_PKG_DIR)/*
	mkdir -p $(HOSTAP_DRIVER_PKG_DIR)/lib/modules/$(LINUX_VERSION)
	( cd $(HOSTAP_DRIVER_DIR) ; \
	$(MAKE) DESTDIR=$(MODULES_DIR) \
		KERNEL_PATH=$(LINUX_SOURCE_DIR) \
		CFLAGS="$(TARGET_CFLAGS" \
		-C $(HOSTAP_DRIVER_DIR)  install; \
	);

hostap-driver: $(HOSTAP_DRIVER_PKG_DIR)/lib/modules

hostap-driver-clean:
	rm -rf $(HOSTAP_DRIVER_PKG_DIR)/*
	-$(MAKE) -C $(HOSTAP_DRIVER_DIR) clean
	rm -f $(HOSTAP_DRIVER_DIR)/.configured $(HOSTAP_DRIVER_DIR)/config.out

hostap-driver-dirclean:
	rm -rf $(HOSTAP_DRIVER_PKG_DIR)/*
	rm -rf $(HOSTAP_DRIVER_DIR)
