#############################################################
#
# libosip2
#
#############################################################

LIBOSIP2_SOURCE_URL=http://ftp.gnu.org/gnu/osip/
LIBOSIP2_SOURCE=libosip2-2.0.9.tar.gz
LIBOSIP2_DIR=$(BUILD_DIR)/libosip2-2.0.9

LIBOSIP2_PKG_DIR=/usr

$(DL_DIR)/$(LIBOSIP2_SOURCE):
	 $(WGET) -P $(DL_DIR) $(LIBOSIP2_SOURCE_URL)$(LIBOSIP2_SOURCE)

libosip2-source: $(DL_DIR)/$(LIBOSIP2_SOURCE)

$(LIBOSIP2_DIR)/.unpacked: $(DL_DIR)/$(LIBOSIP2_SOURCE)
	zcat $(DL_DIR)/$(LIBOSIP2_SOURCE) | tar -C $(BUILD_DIR) -xvf -
	touch $(LIBOSIP2_DIR)/.unpacked

$(LIBOSIP2_DIR)/.configured: $(LIBOSIP2_DIR)/.unpacked
	(cd $(LIBOSIP2_DIR); \
		./configure --prefix=$(LIBOSIP2_PKG_DIR) \
		--disable-debug \
		--disable-trace \
		CFLAGS="$(TARGET_CFLAGS)" \
	);
	touch $(LIBOSIP2_DIR)/.configured

$(LIBOSIP2_DIR)/src/osip2/.libs/libosip2.so.2.0.9: $(LIBOSIP2_DIR)/.configured
	$(MAKE) -C $(LIBOSIP2_DIR)

$(LIBOSIP2_PKG_DIR)/lib/libosip2.so.2.0.9: $(LIBOSIP2_DIR)/src/osip2/.libs/libosip2.so.2.0.9
	$(MAKE) -C $(LIBOSIP2_DIR) install

libosip2: $(LIBOSIP2_PKG_DIR)/lib/libosip2.so.2.0.9

libosip2-clean:
	-$(MAKE) -C $(LIBOSIP2_DIR) clean
	rm $(LIBOSIP2_PKG_DIR)

libosip2-dirclean:
	rm -rf $(LIBOSIP2_DIR)
	rm $(LIBOSIP2_PKG_DIR)
