#############################################################
#
# siproxd
#
#############################################################

SIPROXD_SOURCE_URL=http://ovh.dl.sourceforge.net/sourceforge/siproxd/
SIPROXD_SOURCE=siproxd-0.5.7.tar.gz
SIPROXD_DIR=$(BUILD_DIR)/siproxd-0.5.7

SIPROXD_PKG_DIR=$(PACKAGES_DIR)/siproxd

$(DL_DIR)/$(SIPROXD_SOURCE):
	 $(WGET) -P $(DL_DIR) $(SIPROXD_SOURCE_URL)$(SIPROXD_SOURCE)

siproxd-source: $(DL_DIR)/$(SIPROXD_SOURCE)

$(SIPROXD_DIR)/.unpacked: $(DL_DIR)/$(SIPROXD_SOURCE)
	zcat $(DL_DIR)/$(SIPROXD_SOURCE) | tar -C $(BUILD_DIR) -xvf -
	touch $(SIPROXD_DIR)/.unpacked

$(SIPROXD_DIR)/.configured: $(SIPROXD_DIR)/.unpacked
	(cd $(SIPROXD_DIR); \
		./configure \
		--prefix=$(SIPROXD_PKG_DIR) \
		--exec-prefix=$(SIPROXD_PKG_DIR)/usr \
		--disable-debug \
		CFLAGS="$(TARGET_CFLAGS)" \
	);
	# --enable-fli4l-uclibc \
	touch $(SIPROXD_DIR)/.configured


$(SIPROXD_DIR)/src/osip2/.libs/siproxd: $(SIPROXD_DIR)/.configured
	$(MAKE) -C $(SIPROXD_DIR)

$(SIPROXD_PKG_DIR)/usr/sbin/siproxd: $(SIPROXD_DIR)/src/osip2/.libs/siproxd
	$(MAKE) -C $(SIPROXD_DIR) install
	mkdir -p $(SIPROXD_PKG_DIR)/usr/lib
	-rm -rf $(SIPROXD_PKG_DIR)/man
	-rm $(SIPROXD_PKG_DIR)/etc/siproxd.conf.example
	cp $(PACKAGES_INI_DIR)/post-siproxd.ini $(SIPROXD_PKG_DIR)/etc/.
	cp $(SCRIPTS_DIR)/siproxd.conf $(SIPROXD_PKG_DIR)/etc/.
	cp -a /usr/lib/libosip2.so* $(SIPROXD_PKG_DIR)/usr/lib/.
	cp -a /usr/lib/libosipparser2.so* $(SIPROXD_PKG_DIR)/usr/lib/.
	-$(SSTRIP) $(SIPROXD_PKG_DIR)/usr/sbin/siproxd

siproxd: libosip2 $(SIPROXD_PKG_DIR)/usr/sbin/siproxd

siproxd-clean:
	-$(MAKE) -C $(SIPROXD_DIR) clean
	rm $(SIPROXD_PKG_DIR)

siproxd-dirclean:
	-rm -rf $(SIPROXD_DIR)
	-rm -rf $(SIPROXD_PKG_DIR)
